package com.explause.cruddemo.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import com.explause.cruddemo.entity.PersonEntity;
import com.explause.cruddemo.service.PersonService;

@RestController
public class PersonController {
	@Autowired
	private PersonService personService;
	
	@PostMapping("create")
	public Integer create(PersonEntity entity) {
		return personService.create(entity);
	}
	
	@GetMapping("read")
	public PersonEntity read() {
		return personService.read();
	}
	
	@PostMapping("update")
	public Integer update(PersonEntity entity) {
		return personService.update(entity);
	}
	
	@GetMapping("delete")
	public Integer delete(Long id) {
		return personService.delete(id);
	}
}
