package com.explause.cruddemo.service.impl;

import com.explause.cruddemo.service.PersonService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.explause.cruddemo.dao.PersonMapper;
import com.explause.cruddemo.entity.PersonEntity;

@Service
public class DefaultPersonService extends PersonEntity implements PersonService {

	private static final long serialVersionUID = -474872042367174904L;
	
	@Autowired
	private PersonMapper personDao;

	@Override
	public Integer create(PersonEntity entity) {
		return personDao.create(entity);
	}

	@Override
	public PersonEntity read() {
		return personDao.read();
	}

	@Override
	public Integer update(PersonEntity entity) {
		return personDao.update(entity);
	}

	@Override
	public Integer delete(Long id) {
		return personDao.delete(id);
	}

}
